package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import com.ym.mec.biz.dal.entity.CourseSchedule.CourseScheduleType;

/**
 * 对应数据库表(music_group_payment_calender_course_settings):
 */
public class MusicGroupPaymentCalenderCourseSettings {

	/**  */
	private Integer id;
	
	/**  */
	private Long musicGroupPaymentCalenderId;

	/**  */
	private String name;
	
	/** 课程类型 */
	private CourseSchedule.CourseScheduleType courseType;

	/** 课程总时间 */
	private Integer courseTotalMinuties;
	
	/** 单价 */
	private java.math.BigDecimal unitPrice;
	
	/** 课程原价 */
	private java.math.BigDecimal courseOriginalPrice;
	
	/** 课程现价 */
	private java.math.BigDecimal courseCurrentPrice;
	
	/** 是否学生可选 */
	private boolean isStudentOptional = false;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public void setStudentOptional(boolean studentOptional) {
		isStudentOptional = studentOptional;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setMusicGroupPaymentCalenderId(Long musicGroupPaymentCalenderId){
		this.musicGroupPaymentCalenderId = musicGroupPaymentCalenderId;
	}
	
	public Long getMusicGroupPaymentCalenderId(){
		return this.musicGroupPaymentCalenderId;
	}
			
	public void setCourseType(CourseScheduleType courseType){
		this.courseType = courseType;
	}
	
	public CourseScheduleType getCourseType() {
		return this.courseType;
	}

	public Integer getCourseTotalMinuties() {
		return courseTotalMinuties;
	}

	public void setCourseTotalMinuties(Integer courseTotalMinuties) {
		this.courseTotalMinuties = courseTotalMinuties;
	}
			
	public void setUnitPrice(java.math.BigDecimal unitPrice){
		this.unitPrice = unitPrice;
	}
	
	public java.math.BigDecimal getUnitPrice(){
		return this.unitPrice;
	}
			
	public void setCourseOriginalPrice(java.math.BigDecimal courseOriginalPrice){
		this.courseOriginalPrice = courseOriginalPrice;
	}
	
	public java.math.BigDecimal getCourseOriginalPrice(){
		return this.courseOriginalPrice;
	}
			
	public void setCourseCurrentPrice(java.math.BigDecimal courseCurrentPrice){
		this.courseCurrentPrice = courseCurrentPrice;
	}
	
	public java.math.BigDecimal getCourseCurrentPrice(){
		return this.courseCurrentPrice;
	}
			
	public void setIsStudentOptional(boolean isStudentOptional){
		this.isStudentOptional = isStudentOptional;
	}
	
	public boolean getIsStudentOptional(){
		return this.isStudentOptional;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
